Bug 167124 - [PATCH] www/py27-textile: update to 2.1.5
Summary: [PATCH] www/py27-textile: update to 2.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yi-Jheng Lin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-20 15:40 UTC by Muhammad Moinur Rahman
Modified: 2012-08-17 05:40 UTC (History)
1 user (show)

See Also:


Attachments
py27-textile-2.1.5.patch (3.62 KB, patch)
2012-04-20 15:40 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2012-04-20 15:40:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->yzlin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-08-17 05:34:34 UTC
Author: rm
Date: Fri Aug 17 04:34:23 2012
New Revision: 302666
URL: http://svn.freebsd.org/changeset/ports/302666

Log:
  - update to 2.1.5
  - switch to setuptools
  
  while here:
  - add LICENSE (BSD)
  - strict python version to 2.x only
  - tab -> space in pkg-descr:WWW
  
  PR:		167124
  Submitted by:	Muhammad Moinur Rahman <5u623l20 at gmail dot com>
  Approved by:	maintainer timeout (yzlin, ~4 months)

Modified:
  head/www/py-textile/Makefile
  head/www/py-textile/distinfo
  head/www/py-textile/pkg-descr
  head/www/py-textile/pkg-plist

Modified: head/www/py-textile/Makefile
==============================================================================
--- head/www/py-textile/Makefile	Fri Aug 17 04:33:09 2012	(r302665)
+++ head/www/py-textile/Makefile	Fri Aug 17 04:34:23 2012	(r302666)
@@ -1,12 +1,12 @@
 # New ports collection makefile for:	py-textile
-# Date created:		2008-09-05
-# Whom:			Yi-Jheng Lin <yzlin@cs.nctu.edu.tw>
+# Date created:				2008-09-05
+# Whom:					Yi-Jheng Lin <yzlin@cs.nctu.edu.tw>
 #
 # $FreeBSD$
 #
 
 PORTNAME=	textile
-PORTVERSION=	2.1.4
+PORTVERSION=	2.1.5
 CATEGORIES=	www textproc python
 MASTER_SITES=	CHEESESHOP \
 		GOOGLE_CODE
@@ -15,8 +15,10 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	yzlin@FreeBSD.org
 COMMENT=	Textile markup generator written in Python
 
+LICENSE=	BSD
+
 PROJECTHOST=	pytextile
-USE_PYTHON=	2.5+
-USE_PYDISTUTILS=	yes
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
 
 .include <bsd.port.mk>

Modified: head/www/py-textile/distinfo
==============================================================================
--- head/www/py-textile/distinfo	Fri Aug 17 04:33:09 2012	(r302665)
+++ head/www/py-textile/distinfo	Fri Aug 17 04:34:23 2012	(r302666)
@@ -1,2 +1,2 @@
-SHA256 (textile-2.1.4.tar.gz) = ca1b14ee4bd34cb72fc95e2960f4e591fc9d019196d7a1dfeaa17ca9ece89632
-SIZE (textile-2.1.4.tar.gz) = 13664
+SHA256 (textile-2.1.5.tar.gz) = b22a2e2fcb0e6b55a39b181d978d4b7429abf8504b09442dc55756fa98d3bcf6
+SIZE (textile-2.1.5.tar.gz) = 16541

Modified: head/www/py-textile/pkg-descr
==============================================================================
--- head/www/py-textile/pkg-descr	Fri Aug 17 04:33:09 2012	(r302665)
+++ head/www/py-textile/pkg-descr	Fri Aug 17 04:34:23 2012	(r302666)
@@ -1,4 +1,4 @@
 Textile is a Python implementation of the Textile
 (http://textism.com/tools/textile) markup language.
 
-WWW:	http://loopcore.com/python-textile/
+WWW: http://loopcore.com/python-textile/

Modified: head/www/py-textile/pkg-plist
==============================================================================
--- head/www/py-textile/pkg-plist	Fri Aug 17 04:33:09 2012	(r302665)
+++ head/www/py-textile/pkg-plist	Fri Aug 17 04:34:23 2012	(r302666)
@@ -1,8 +1,32 @@
 @comment $FreeBSD$
-%%PYTHON_SITELIBDIR%%/textile/__init__.py
-%%PYTHON_SITELIBDIR%%/textile/__init__.pyc
-%%PYTHON_SITELIBDIR%%/textile/__init__.pyo
-%%PYTHON_SITELIBDIR%%/textile/functions.py
-%%PYTHON_SITELIBDIR%%/textile/functions.pyc
-%%PYTHON_SITELIBDIR%%/textile/functions.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/textile
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/textilefactory.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/functions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/functions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/sanitizer.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/imagesize.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/sanitizer.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/imagesize.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/imagesize.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools/sanitizer.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/textilefactory.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/textilefactory.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/functions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/__init__.pyc
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tools
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/textile
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-08-17 05:34:39 UTC
State Changed
From-To: open->closed

Committed, thank you!